| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# nonterminal

$Revision: 1.2 $

$Date: 2002/06/11 01:20:06 $

nonterminal — A non-terminal in an EBNF production

## Synopsis

### Mixed Content Model

    nonterminal ::=
    (#PCDATA)

### Attributes

Common attributes

Name | Type | Default
def | CDATA | Required

## Description

This element is only available if you are using the EBNF Module.

A `NonTerminal` is a symbol in an EBNF `Production` that represents a portion of the grammar.

### Parents

These elements contain nonterminal: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `rhs`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

## Attributes

def

  FIXME:

msgtext |  | note

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.